Cannot close Brave systray icon

just installed kubuntu 19.10 64 bit and just go brave installed and added my saved profile. all looks good except for the fact i cannot get the context menu for brave’s systray icon so i can end it running after i close the browser. need help end the process. thanks

1 Like

ok tried a restart to see if that would give me back the context menu for the brave systray icon so i can stop brave from running in the background after closing the browser and still cannot get the context menu. still waiting for someone to weigh in on how to disable brave from running in the background after the browser is closed. thanks

now this is getting REALLY old. as per a post here from the staff i uninstalled the snap package and use the below instructions but brave refused to install.

sudo apt install apt-transport-https curl

curl -s https://brave-browser-apt-release.s3.brave.com/brave-core.asc | sudo apt-key --keyring /etc/apt/trusted.gpg.d/brave-browser-release.gpg add -

echo "deb [arch=amd64] https://brave-browser-apt-release.s3.brave.com/ UBUNTU_CODENAME main" | sudo tee /etc/apt/sources.list.d/brave-browser-release-{UBUNTU_CODENAME}.list

sudo apt update

sudo apt install brave-browser

ok got brave installed thanks to the below link, but not before getting errors that’ll make me have to remove the repository. konsole output linked below.

1 Like

ok folks no response to this thread? got the context menu once i uninstalled and reinstalled brave, but still need to address the repository issue. right now i do not have a repository installed for brave and need to know which one to add that won’t give me the one error. thanks

1 Like

@GraveDigger,
Apologies for missing this thread. I’m glad you got the tray icon issue resolved. As for installing/updating Brave, use the instructions found here:
https://brave-browser.readthedocs.io/en/latest/installing-brave.html#linux

I believe the particular error you were seeing is known and has been resolved – I’ve reached out to the team to confirm. I assume using the steps outlined in the link above give you the same error message?

1 Like

thanks for getting back to me. i was surprised that i got told the reposirory was insecure so installing from it will not be done. at that point i did the apt install for brave figuring figuring i’d be told i can’t install brave and was surprised it actually installed.

now if i follow those instructions the repository should be gone? also is it better for me to uninstall brave befor i add the repository back? i don’t care either way cause it only take me a minute to restore brave cause i have my profile folder.

1 Like

@GraveDigger,
Yeah I believe the new repo will overwrite but I could be wrong. But if you want to be sure, and if you have all your profile data somewhere safe, you can delete any/all brave-browser repos using the

  • sudo rm rf /etc/apt/sources.list.d/brave-browser*
  • sudo rm -rf /etc/apt/trusted.gpg.d/brave-browser*
1 Like

thanks for that. will rebackup my profile folder, and try that. will holler back if i run into any new issues. thanks again.

1 Like
E: Failed to fetch https://brave-browser-apt-release.s3.brave.com/dists/eoan/InRelease  403  Forbidden [IP: 151.101.190.217 443]
E: The repository 'https://brave-browser-apt-release.s3.brave.com eoan InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
gravedigger@Digger:~$ 

i got the same error. if i didn’t keep my head shaved i’d be pulling my hair out.

how about supporting .deb files cause with the rare exception a new version of a program works perdectly overwriting the old one.

1 Like

Sorry about that. Running into these problems every time there’s a new Ubuntu version is extremely annoying indeed. We are very close to fixing these issues once and for all (see https://github.com/brave/brave-core/pull/3750) by switching to a fixed “distro name”.

In the meantime, follow these instructions instead: https://github.com/brave/brave-browser/issues/6522#issuecomment-545672208

2 Likes

if i actually follow those instruction can i simple ignore the last line and have it see i already have brave installed? at this point i really don’t want to uninstall brace again.

sudo apt install apt-transport-https curl

curl -s https://brave-browser-apt-release.s3.brave.com/brave-core.asc | sudo apt-key --keyring /etc/apt/trusted.gpg.d/brave-browser-release.gpg add -

echo "deb [arch=amd64] https://brave-browser-apt-release.s3.brave.com/ bionic main" | sudo tee /etc/apt/sources.list.d/brave-browser-release-bionic.list

sudo apt update

sudo apt install brave-browser

never mind those instructions still say bionic.

1 Like

Yes, and if you read what I wrote just below the instructions, you’ll find that it doesn’t matter what you put as the “distro name”:

The distro version (“bionic”, “disco”, “eaon”) doesn’t matter because they are all aliases of one another. There is a single Brave .deb package that works for all versions.

1 Like

What do you get if you type these commands?

dpkg -l brave-browser
dpkg -l brave-keyring
1 Like
gravedigger@Digger:~$ dpkg -l brave-browser
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name           Version      Architecture Description
+++-==============-============-============-=================================
ii  brave-browser  0.70.122     amd64        The web browser from Brave
gravedigger@Digger:~$ 
gravedigger@Digger:~$ 
gravedigger@Digger:~$ 
gravedigger@Digger:~$ dpkg -l brave-keyring
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name           Version      Architecture Description
+++-==============-============-============-==========================================
ii  brave-keyring  1.5          all          Brave Browser keyring and repository files
gravedigger@Digger:~$

thoughts on this?

1 Like

ok the instructions from the below thread soved the install error issue. thanks this can now be closed.

2 Likes